.footer__row {
  width: 100%;
  background: #000;

  .footer__content {
    @include flex-center;
    color: var(--second-color-text);
    flex-direction: column;
    margin: 38px auto;

    .footer__title {
      color: #fff;
      text-align: center;

      &::after {
        content: ' -';
      }
    }

    .footer__text {
      text-align: center;
      font-size: 12px;
      line-height: 20px;
    }

    .footer__social-buttons {
      @include flex-center;
      gap: 6px;
      list-style: none;
      margin: 25px 0;

      .social-btn {
        @include flex-center;
        border: 2px solid #000;
        border-radius: 50%;
        font-size: 12px;
        width: 34px;
        height: 34px;
      }

      .btn__rss {
        border-color: #f8902e;
        color: #f8902e;
      }

      .btn__facebook {
        border-color: #39599f;
        color: #39599f;
      }

      .btn__twitter {
        border-color: #45b0e3;
        color: #45b0e3;
      }

      .btn__dribbble {
        border-color: #d97ab0;
        color: #d97ab0;
      }

      .btn__pinterest {
        border-color: #cc212c;
        color: #cc212c;
      }
    }

    .footer__address {
      @include flex-center;
      flex-direction: column;
      text-align: center;
      font-size: 14px;
      line-height: 24px;
    }
  }
}

@media screen and (min-width: 768px) {
  .footer__row {
    .footer__content {
      width: 680px;

      .footer__text {
        font-size: 16px;
        line-height: 26px;
      }

      .footer__address {
        flex-direction: row;
        font-size: 16px;
        line-height: 26px;
      }
    }
  }
}
